Copyright: (C) LinkeSOFT 2000


Contents
 DIMEX

Datebook Import Export for Palm Desktop

Dimex imports and exports Palm Desktop appointment data. It supports Excel 97/2000 and CSV  Format. CSV (comma separated values) is a standard ASCII format that can be read and written by most spreadsheet programs, text editors, and scripts.

Format description

Options

Registration

Frequently Asked Questions (FAQ)


Format

DIMEX imports and exports in two formats, a simple and a full format. The full format includes complete repeat information.

When using the CSV format, all fields for an appointment should be on a single line, surrounded by quotes (”) and separated by a comma (,) or the separator character you configured in the Options.

You can change the field order in the option dialog. Note that repeat information (“full format”) will always come after the simple format fields.

The format description below lists the fields in default order vertically and without quotes for better readability.

Simple format

When the simple format is selected, repeat events are expanded into a series of simple appointments in a given time span.

Field	Example	Description

Date	3/21/2000	Appointment date in your locale format

Untimed	x	x if appointment is untimed, empty if timed

Start Time	8:30	Start time of appointment

in your locale format, empty if untimed

End Time	9:30	Start time of appointment

in your locale format, empty if untimed

Private	x	x if appointment is private, empty if not private

Text	Meeting	Appointment text (description)

Note	...	Note attached to appointment

Alarm	x	x if appointment has an alarm, empty if not

Alarm Time	5	Alarm advance time span,

in minutes, hours or days

Alarm Unit	m	Alarm time unit, m for minutes,

h for hours or d for days

Repeat	x	x if appointment is part of a repeat

event series (not used on import)

Full format

The full format includes additional fields with repeat information. Some fields are only required for certain kinds of repeat events.

Field	Example	Description

...same fields as simple format, plus:

Repeat Type	Daily	One of Daily, Weekly, Monthly Date,

Monthly Day, or Yearly

Repeat Interval	1	Interval between successive

repeat appointments

Repeat End Date	3/31/2000	End date in your locale format

Exceptions	3/30/2000	Exception dates, separated by space

Weekly Sunday	x	If repeat type is Weekly

Weekly Monday	If repeat type is Weekly

Weekly Tuesday	If repeat type is Weekly

Weekly Wednesday	If repeat type is Weekly

Weekly Thursday	If repeat type is Weekly

Weekly Friday	If repeat type is Weekly

Weekly Saturday	If repeat type is Weekly

Monthly Week Index	5	If repeat type is Monthly Day

Week index:

1 for first week, 2, 3, 4, 5 for last week


Options

Various options can be configured in the Options dialog. To get more information about a particular option, click on the little question mark button in the title bar, then on the option in question.

Command line options

The following command line options are supported. Dimex runs in batch mode (no user interface) if

either the –e or –i command line option is specified.

Palm Desktop must not run when you import data in batch mode, otherwise the imported data will be overwritten when you close Palm Desktop.

-e <file>	export to <file>

-i <file>	import from <file>

-u <username>	for user <username>

-x 	full import/export (default: simple)


DIMEX Pro

In addition to the import and  export facilitites of DIMEX, DIMEX Pro can create Palm applications (.prc-files) that will add appointments to the Palm datebook.

The generated Palm application can be installed by the user just like any other Palm program. During the installation HotSync, appointments will be automatically added to the Palm datebook. This takes place on the device, therefore the desktop program the user synchronizes with doesn’t matter.

Proceed as follows

-	create a new Palm user on Palm Desktop

-	enter appointments for this user, save

-	in DIMEX Pro select Export, then enter a .prc-file

-	in the following dialog you may want to enter some of the texts

-	after clicking OK, a Palm program will be generated


Registration

The unregistered version of DIMEX is limited to export and import 10 entries.

The registered version has no such limitation. As a registered user you will receive free support, free upgrades and notification about new releases.

Registration fee for DIMEX is US$ 10,-

The registration key is bound to your Palm User ID (user name). However, you can import and export between different users with one registration key.

To register, please visit our web site http://linkesoft.com and follow the registration link. If you have questions regarding registration or volume discounts, please contact us at sales@linkesoft.com


Frequently Asked Questions

When I open the CSV file in a spread sheet, all rows are inserted into the first column?

You may need to choose a different separator character in the Options. On a German Windows, use the semicolon ; instead of the comma.

How should I write a certain type of repeat event?

The easiest way to see how a repeat event should be specified for import is to create such an event in Palm Desktop and export it. DIMEX imports events in exactly the same format as it exports them.

Do I have to close Palm Desktop before I run DIMEX?

No. In interactive mode, DIMEX saves and re-opens the Palm Desktop automatically when you import or export data.

Can I automate import and export?

You can run DIMEX in batch mode, that is, from a script or from the Task Scheduler using various command line options.. Note that when importing data in batch mode, Palm Desktop must be closed.


Separator character for the CSV fields. Usually comma (,) or semi-colon (;)


Show a button to start DIMEX on the left side of the Palm Desktop. You may need to re-start Palm Desktop when you change this option.


Search for already existing appointments during import. If checked, duplicate entries are ignored.


Import and export appointments in full format, including complete repeat information.


Ignore invalid lines during import. If not checked, you will get a popup for each import line that cannot be parsed (except the first).


Import and export appointments in simple format, by expanding repeat events into simple appointments.


Start date for exporting appointments in simple format.


End date for exporting appointments in simple format.


Strip all line breaks from text and notes and replace by spaces.


Field order for the simple appointment format. You can drag-and-drop items to change the order.


Field order for the repeat information. These fields come after the fields in the simple appointment format. You can drag-and-drop items to change the order.


Restores the default field mapping.


Separator character for exception dates on repeat events. Default is the space.